package rosa_test

import (
	"testing"

	"hakurei.app/internal/rosa"
)

func TestLoad(t *testing.T) {
	t.Parallel()

	for _, p := range rosa.Native().Collect() {
		t.Run(p.String(), func(t *testing.T) {
			t.Parallel()

			rosa.Native().Std().MustLoad(p)
		})
	}
}

func BenchmarkAll(b *testing.B) {
	t := rosa.Native().Clone().Std()

	for b.Loop() {
		for _, p := range t.Collect() {
			t.MustLoad(p)
		}

		b.StopTimer()
		t.DropCaches("", 0)
		b.StartTimer()
	}
}
